import * as react_jsx_runtime from 'react/jsx-runtime';
import { ReactNode } from 'react';
import { EvmExternalWalletSignerConfig, SolanaExternalWalletSignerConfig } from '@crossmint/wallets-sdk';
import { APIKeyEnvironmentPrefix } from '@crossmint/common-sdk-base';

type DynamicWalletContextType = {
    isDynamicWalletConnected: boolean;
    isDynamicProviderAvailable: boolean;
    hasDynamicSdkLoaded: boolean;
    getAdminSigner: () => Promise<EvmExternalWalletSignerConfig | SolanaExternalWalletSignerConfig>;
    initialize: (jwt?: string, onSdkLoaded?: (loaded: boolean) => void) => void;
    cleanup: () => void;
};
declare function useDynamicWallet(): DynamicWalletContextType;
type DynamicWalletProviderProps = {
    children: ReactNode;
    enabled?: boolean;
    apiKeyEnvironment: APIKeyEnvironmentPrefix;
    loginMethods?: string[];
    appearance?: {
        colors?: {
            textPrimary?: string;
            textSecondary?: string;
        };
    };
    onSdkLoaded?: (loaded: boolean) => void;
};
declare function DynamicWalletProvider({ children, enabled, apiKeyEnvironment, loginMethods, appearance, onSdkLoaded, }: DynamicWalletProviderProps): react_jsx_runtime.JSX.Element;

export { DynamicWalletProvider, useDynamicWallet };
